API ReferenceTenants
Retrieve tenants
Analytics Events
TENANT_RETRIEVE_LIST_STARTTENANT_RETRIEVE_LIST_SUCCESSTENANT_RETRIEVE_LIST_FAIL
GET
/v1/tenantsRetrieves a list of all available tenants. If you haven't created any tenants, the response will include an empty array.
Analytic events
- TENANT_RETRIEVE_LIST_START
- TENANT_RETRIEVE_LIST_SUCCESS
- TENANT_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
text/plain
curl -X GET "https://example.com/v1/tenants"{ "data": [ { "id": "string", "name": "string", "subdomain": "string", "environment": { "id": "string", "name": "string", "domain": "string", "authorizationServerDomain": "string", "deploymentModel": "public", "region": { "id": "string", "name": "string", "displayName": "string" } }, "membership": { "roles": [ "string" ] } } ], "nextCursor": "string"}How would you rate this page?
Create tenant POST
Creates a new tenant in the requested environment. ### **Analytic events** * TENANT_CREATE_START * TENANT_CREATE_SUCCESS * TENANT_CREATE_FAIL
Retrieve all tenant roles GET
Retrieves all existing roles that can be assigned to a tenant member, with their associated permissions. ### **Analytic events** * TENANT_ROLES_RETRIEVE_LIST_START * TENANT_ROLES_RETRIEVE_LIST_SUCCESS * TENANT_ROLES_RETRIEVE_LIST_FAIL